Retrieve a specific voice agent by ID
curl --request GET \
--url https://api.tryhamsa.com/v1/voice-agents/{voiceAgentId} \
--header 'Authorization: <api-key>'{
"success": false,
"message": "success",
"data": {
"id": "<string>",
"agentName": "<string>",
"greetingMessage": "<string>",
"description": "<string>",
"preamble": "<string>",
"lang": "<string>",
"pokeMessages": [
"<string>"
],
"realTime": true,
"silenceThreshold": 123,
"interrupt": true,
"type": "<string>",
"outcome": "<string>",
"outcomeResponseShape": {
"type": "object",
"properties": {
"test": {
"type": "number",
"description": "Hello world from Hamsa AI!"
}
},
"required": [
"test"
]
},
"projectId": "<string>",
"apiKeyId": "<string>",
"voiceId": "<string>",
"voiceRecordId": "<string>",
"voiceRecord": {},
"collectionId": "<string>",
"isTemplate": true,
"icon": "<string>",
"webhookUrl": "https://example.com/webhook",
"webhookAuth": {
"authKey": "Token",
"authSecret": "Secret"
},
"params": {},
"alignment": {
"greetingMessage": "<string>",
"preamble": "<string>"
},
"tools": {
"genderDetection": true,
"smartCallEnd": true
},
"webToolsIds": [
"<string>"
],
"voiceDictionaryIds": [
"<string>"
],
"knowledgeBaseItemsIds": [
"<string>"
],
"webToolsOverrides": {},
"userInactivityTimeout": 123,
"maxCallDuration": 123,
"responseDelay": 123,
"backgroundNoise": true,
"waitForUserToSpeakFirst": 123,
"thinkingVoice": true,
"speakerIdentification": true,
"llmConfig": {
"provider": "OpenAI",
"modelName": "GPT-4.1",
"baseUrl": "https://api.custom-llm.com/v1",
"apiKey": "sk-...",
"temperature": 0.2
},
"noiseCancellation": "<string>",
"cancelNoisePer": "<string>",
"agenticRag": true,
"languageDialectSwitcher": true,
"minInterruptionDuration": 123,
"vadActivationThreshold": 123,
"enableAutoGainControl": true,
"sendDenoisedToStt": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Voice Agents
Get A Voice Agent By Id Route
deprecated
GET
/
v1
/
voice-agents
/
{voiceAgentId}
Retrieve a specific voice agent by ID
curl --request GET \
--url https://api.tryhamsa.com/v1/voice-agents/{voiceAgentId} \
--header 'Authorization: <api-key>'{
"success": false,
"message": "success",
"data": {
"id": "<string>",
"agentName": "<string>",
"greetingMessage": "<string>",
"description": "<string>",
"preamble": "<string>",
"lang": "<string>",
"pokeMessages": [
"<string>"
],
"realTime": true,
"silenceThreshold": 123,
"interrupt": true,
"type": "<string>",
"outcome": "<string>",
"outcomeResponseShape": {
"type": "object",
"properties": {
"test": {
"type": "number",
"description": "Hello world from Hamsa AI!"
}
},
"required": [
"test"
]
},
"projectId": "<string>",
"apiKeyId": "<string>",
"voiceId": "<string>",
"voiceRecordId": "<string>",
"voiceRecord": {},
"collectionId": "<string>",
"isTemplate": true,
"icon": "<string>",
"webhookUrl": "https://example.com/webhook",
"webhookAuth": {
"authKey": "Token",
"authSecret": "Secret"
},
"params": {},
"alignment": {
"greetingMessage": "<string>",
"preamble": "<string>"
},
"tools": {
"genderDetection": true,
"smartCallEnd": true
},
"webToolsIds": [
"<string>"
],
"voiceDictionaryIds": [
"<string>"
],
"knowledgeBaseItemsIds": [
"<string>"
],
"webToolsOverrides": {},
"userInactivityTimeout": 123,
"maxCallDuration": 123,
"responseDelay": 123,
"backgroundNoise": true,
"waitForUserToSpeakFirst": 123,
"thinkingVoice": true,
"speakerIdentification": true,
"llmConfig": {
"provider": "OpenAI",
"modelName": "GPT-4.1",
"baseUrl": "https://api.custom-llm.com/v1",
"apiKey": "sk-...",
"temperature": 0.2
},
"noiseCancellation": "<string>",
"cancelNoisePer": "<string>",
"agenticRag": true,
"languageDialectSwitcher": true,
"minInterruptionDuration": 123,
"vadActivationThreshold": 123,
"enableAutoGainControl": true,
"sendDenoisedToStt": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Path Parameters
Was this page helpful?
⌘I